Skip to main content
GET
/
api
/
v1
/
events
List trading events
curl --request GET \
  --url https://partners.centaur.io/api/v1/events \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "results": [
      {
        "id": 123,
        "eventType": "open",
        "price": 123,
        "timeOfEvent": "2023-11-07T05:31:56Z",
        "assumed": true,
        "retrospective": true,
        "autoGenerated": true,
        "position": {
          "id": 123,
          "direction": "long",
          "openAt": "2023-11-07T05:31:56Z",
          "openPrice": 123,
          "closeAt": "2023-11-07T05:31:56Z",
          "closePrice": 123,
          "returnPercentage": 123
        },
        "trader": {
          "id": 123,
          "name": "<string>",
          "slug": "<string>",
          "avatarUrl": "<string>"
        },
        "asset": {
          "id": 123,
          "name": "<string>",
          "symbol": "<string>",
          "logoUrl": "<string>"
        },
        "source": {
          "messageId": "<string>",
          "url": "<string>",
          "text": "<string>",
          "attachments": [
            {
              "type": "<string>",
              "url": "<string>"
            }
          ],
          "originalCreatedAt": "2023-11-07T05:31:56Z"
        }
      }
    ],
    "meta": {
      "hasMore": true,
      "nextCursor": "<string>",
      "appliedTimeRange": {
        "startTime": "2023-11-07T05:31:56Z",
        "endTime": "2023-11-07T05:31:56Z"
      }
    }
  },
  "requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}

Authorizations

x-api-key
string
header
default:<partner-api-key>
required

Partner API key issued by Centaur.

Query Parameters

traderIds

Filter to specific trader IDs.

assetIds

Filter to specific asset IDs.

directions

Filter to long and/or short positions.

startTime
string<date-time>

Inclusive ISO-8601 lower time bound.

endTime
string<date-time>

Inclusive ISO-8601 upper time bound.

limit
integer

Maximum number of rows to return.

Required range: 1 <= x <= 100
cursor
string

Forward pagination cursor from meta.nextCursor.

Minimum string length: 1
eventTypes

Filter to specific event types: open, close, increase, or decrease.

Response

Paginated list of public trading events

success
enum<boolean>
required
Available options:
true
data
object
required
requestId
string
required
Example:

"c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"

Last modified on April 20, 2026